> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/dnk/api-dokumentation/overblik-over-geopard-api-anmodninger/39.-mutation-angiv-brugerdefinerede-farveskemaer-for-valgte-geomaps.md).

# 39. Mutation: Angiv brugerdefinerede farveskemaer for valgte "GeoMaps"

Indstil brugerdefinerede farveskemaer til datalag: "ZonesMaps", "SoilDatasets".&#x20;

Support for andre datalag ("YieldDataset", "TopographyMaps", "SatelliteImages") kommer snart.

Opdater alle attributter for "GeoMap":

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation UpdateGeoMaps {
  setGeoMaps(input: {
    geoMaps: [{
      fieldUuid: "<placeholder_of_field_uuid>",
      soilDatasetUuid: "<placeholder_of_soildataset_uuid>",
      shortName: "<origin_geomap_short_name>",
      classes: [
          11.288999557495117,
          31.641000747680664,
          42.30500030517578,
          56.132999420166016,
          105.81999969482422
        ],
      description: "<some_text_about_geomap>",
      fullName: "<geomap_full_name>",
      hexColorCodes: [
        "#ca0020",
        "#f4a582",
        "#f7f7f7",
        "#92c5de",
        "#0571b0"
      ]    
    }, {
      fieldUuid: "<placeholder_of_field_uuid>",
      vectorAnalysisMapUuid: "<placeholder_of_vectoranalysismap_uuid>",
      shortName: "<origin_geomap_short_name>",
      classes: [
          11.788000106811523,
          26.854999542236328,
          33.84000015258789,
          41.20100021362305,
          50.124000549316406,
          63.90299987792969,
          86.70500183105469,
          105.81999969482422
        ],
      description: "<some_text_about_geomap>",
      fullName: "<geomap_full_name>",
      hexColorCodes: [
        "#b2182b",
        "#ef8a62",
        "#fddbc7",
        "#f7f7f7",
        "#d1e5f0",
        "#67a9cf",
        "#2166ac"
      ]    
    }]
  }) {
    kortNavn
    fuldtNavn
    beskrivelse
    classes
    hexColorCodes
    url
  }
}
```

{% endcode %}

Opdater kun farveskemaer for "GeoMap":

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation UpdateGeoMaps {
  setGeoMaps(input: {
    geoMaps: [{
      fieldUuid: "<placeholder_of_field_uuid>",
      soilDatasetUuid: "<placeholder_of_soildataset_uuid>",
      shortName: "<origin_geomap_short_name>",
      classes: [
          -6.5,
          100,
          162.60000610351562,
          245.8000030517578,
          493.29998779296875
        ],
      hexColorCodes: [
        "#ca0020",
        "#f4a582",
        "#f7f7f7",
        "#92c5de",
        "#0571b0"
      ]    
    }, {
      fieldUuid: "<placeholder_of_field_uuid>",
      vectorAnalysisMapUuid: "<placeholder_of_vectoranalysismap_uuid>",
      shortName: "<origin_geomap_short_name>",
      hexColorCodes: [
        "#b2182b",
        "#ef8a62",
        "#fddbc7",
        "#f7f7f7",
        "#d1e5f0",
        "#67a9cf",
        "#2166ac"
      ]    
    }]
  }) {
    kortNavn
    fuldtNavn
    beskrivelse
    classes
    hexColorCodes
    url
  }
}
```

{% endcode %}

**VIGTIGT** punkter til at lære, hvordan mutationen bruges:

1. Attributter `fieldUuid`, `soilDatasetUuid`/`vectorAnalysisMapUuid`, og `kortNavn` er obligatoriske for at identificere den korrekte "GeoMap" der skal ændres. Alle disse tre attributter tilsammen afspejler "GeoMap"s entydighed.
2. Enten `soilDatasetUuid` eller `vectorAnalysisMapUuid` attribut skal bruges pr. enkelt "GeoMap" input.
3. Værdien af `kortNavn` skal være den samme som oprindelsen i "GeoMap". Den kan ikke redigeres.
4. Attributter `fuldtNavn`, `beskrivelse`, `hexColorCodes` er redigerbare for "ZonesMaps" og kan ændres. Ændringerne anvendes ikke, hvis attributten ikke nævnes.
5. Attributter `fuldtNavn`, `beskrivelse`, `classes`, `hexColorCodes` er redigerbare for "SoilDatasets" og kan ændres. Ændringerne anvendes ikke, hvis attributten ikke nævnes.
6. Arrays `classes` og `hexColorCodes`  skal have nøjagtigt samme længde som oprindelsen i "GeoMap".
7. Længden af "GeoMaps" arrays i forespørgslen og svaret skal være den samme. Hvis ikke, blev nogle "GeoMaps" ikke redigeret succesfuldt.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/dnk/api-dokumentation/overblik-over-geopard-api-anmodninger/39.-mutation-angiv-brugerdefinerede-farveskemaer-for-valgte-geomaps.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
